.main {
  z-index: 1;
}
.hero-section {
  @extend %relative;
  @at-root &__content {
    text-align: center;
    @at-root &-wrapper {
      @extend %flex-absolute-centered-max-size;
      z-index: 2;
      padding-top: 30px;
    }
  }
  @at-root &__subheader {
    @extend %font-light;
    color: $brand-color;
    font-family: $secondary-font;
    font-size: 25px;
    line-height: 1.6;
    letter-spacing: 0.35em;
    text-transform: uppercase;
    @media all and (max-width: 1100px) {
      font-size: 20px;
      letter-spacing: 0.15em;
    }
    @media all and (max-width: 767px) {
      font-size: 18px;
    }
    @media all and (max-width: 767px) {
      font-size: 15px;
    }
  }
  @at-root &__overlay {
    @extend %flex-absolute-centered-max-size;
    background-color: rgba(0, 0, 0, 0.6);
    z-index: 1;
  }
  .scroll {
    @extend %absolute;
    border: 2px solid #ffffff;
    border-radius: 50%;
    color: #ffffff;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 40px;
    width: 40px;
    right: 0;
    bottom: 50px;
    left: 0;
    margin: auto;
    @media all and (max-width: 1100px) {
      bottom: 15px;
    }
    @media all and (max-width: 850px) {
      height: 25px;
      width: 25px;
    }
  }
}
.about-us {
  @at-root &-section {
    display: flex;
  }
  @at-root &__content {
    max-width: 585px;
    padding: 0 15px;
    @at-root &-wrapper {
      @extend %flex-centered;
      box-shadow: inset 0px -30px 100px -50px rgba(0, 0, 0, 0.3), inset 0px 10px 170px -60px rgba(0, 0, 0, 0.3);
      width: 50%;
    }
  }
  @at-root &__image {
    width: 50%;
  }
}
.services-section {
  padding-top: 100px;
  .section-header {
    margin-bottom: 100px;
  }
  @media all and (max-width: 1100px) {
    padding-top: 50px;
    .section-header {
      margin-bottom: 60px;
    }
  }
  @media all and (max-width: 500px) {
    .section-header {
      margin-bottom: 30px;
    }
  }
  @at-root &__content {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
  }
  @at-root &__single {
    @extend %relative;
    margin-bottom: 100px;
    @media all and (max-width: 1100px) {
      margin-bottom: 50px;
    }
    @media all and (max-width: 500px) {
      margin-bottom: 40px;
    }
    @at-root &__text {
      margin-top: 27px;
      &:last-of-type {
        padding-bottom: 40px;
        &:after {
          content: '';
          @extend %absolute;
          background-color: #959595;
          display: inline-block;
          height: 1px;
          width: 80%;
          bottom: 0;
          left: 15px;
        }
      }
    }
    @at-root &__icon {
      @extend %icon-background-template;
      display: inline-flex;
      margin-bottom: 32px;
    }
  }
}
.price-section {
  @extend %relative;
  @at-root &__content {
    @extend %absolute;
    display: flex;
    align-items: flex-start;
    flex-direction: column;
    height: 100%;
    top: 0;
    right: 0;
    bottom: 0;
    max-width: 820px;
    padding-right: 140px;
    justify-content: center;
    p {
      a {
        color: $brand-color;
        &:hover {
          text-decoration: underline;
        }
      }
    }
  }
  @at-root &__single-info {
    display: flex;
    align-items: center;
    margin-top: 55px;
    @at-root &__icon {
      @extend %icon-background-template;
      background-color: #ffffff;
      margin-right: 55px;
   }
    @at-root &__content {
      .title {
        margin-bottom: 8px;
      }
    }
  }
}
.contact {
  @at-root &-section {
    justify-content: space-between;
    padding-top: 100px;
    padding-bottom: 100px;
    @media all and (max-width: 1100px) {
      padding-top: 50px;
      padding-bottom: 50px;
    }
  }
  @at-root &-option {
    @at-root &__single {
      align-items: center;
      @at-root &-icon {
        @extend %icon-background-template;
        color: $brand-color;
        font-size: 40px;
        margin-right: 35px;
      }
      @at-root &-wrap {
        @at-root &__title {
          @extend %article-title-template;
          color: $brand-color;
          margin-bottom: 15px;
        }
        a {
          &:hover {
            color: $brand-color;
          }
        }
      }
    }
  }
}